import { PermissionString } from "../../../type/permissionTypes";

export interface CreateUserPermissionCommand {
  permission: PermissionString;
  userId: number;
}

export interface DeleteUserPermissionCommand {
  permission: PermissionString;
  userId: number;
}

export interface UpdateUserPermissionsCommand {
  userId: number;
  permissions: Array<PermissionString>;
}
